package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 房屋管理
 */
@Data
public class WzHouseCustomerEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String city;
    private String county;
    private Integer person=0;                   //个人
    private Integer personPrivate=0;           //民营
    private Integer stateOwnedEnterprises=0;    //国企
    private Integer government=0;              //政府
    private Integer allNum=0;                  //总计
    List<WzHouseCustomerEntity> children;
}
