package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *  房屋租入(客户管理)
 */
@Data
public class WzHouseInCustomerEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;                                //行ID
    private String standardAddressLevel1;              //标准地址(一级)
    private String standardAddressLevel2;              //标准地址(二级)
    private String standardAddressLevel3;              //标准地址(三级)
    private String government;                         //政府
    private String stateOwnedEnterprise;               //国企
    private String villageAndTownColletive;            //村镇集体
    private String privateEnterprise;                  //私企
    private String personal;                           //个人
    private String allNum;
    private String statisticalMonth;                   //账期
    private List<WzHouseInCustomerEntity> children;
}
