package com.example.entity.vo.houserent;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 房屋管理
 */
@Data
public class WzHouseContractVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String city;
    private String county;
    private Double contractQuantity;           //合同数量
    private Integer noTaxContractAmount;       //不含税合同额（元）
    private Double rentArea;                   //出租面积（平米）
    private Integer unitPricePerSquareMeter;   //每平米单价（元）
    private List<WzHouseContractVo> children;
}
