package com.example.enums;

public enum ListBuildingSameRepairFrequencyOrderEnum {
    /**
     * 账期
     */
    time("year_month"),
    /**
     * 二级单位
     */
    city("area_name"),
    /**
     * 建筑别名
     */
    buildingAlias("building_name"),
    /**
     * 维修类型
     */
    repairType("repair_type"),
    /**
     * 维修内容
     */
    contentCategory("content_category"),
    /**
     * 本年维修频率
     */
    num("ty_total"),
    /**
     * 排名
     */
    tyTotalRank("ty_total_rank"),
    /**
     * 建筑id
     */
    buildingId("building_id"),
    /**
     * 历史累计维修频率
     */
    historyTotal("history_total"),
    ;

    private final String columnName;

    ListBuildingSameRepairFrequencyOrderEnum(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnName() {
        return columnName;
    }
}
