package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WzHouseContractOutEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    private long id;
    private String city;
    private String county;
    private String contractNumber;
    private String contractSerialNumber;
    private String createDate;
    private String contractStatus;
    private String contractName;
    private String undertakingDepartment;
    private String undertaker;
    private String contactNumber;
    private String ourSubject;
    private String fullNameOfThTenant;
    private String contractType;
    private String investmentEntities;
    private String contractDescription;
    private String contractAmountIncludingVat;
    private String excludingValueAddedTaxContractAmount;
    private String rate;
    private String priceIncreaseMechanism;
    private String renPaymentMethod;
    private String leaseCategory;
    private String rentFreeStartDate;
    private String rentFreeEndDate;
    private String rentalStartDate;
    private String rentalEndDate;
    private String contractLeaseTerm;
    private String contractRentalArea;
    private String debt;
    private String endTime;
    private String endReason;
    private String subordinateUnits;
    private String resourceType;
    private String buildingAlias;
    private String standardAddress;          //标准地址
    private String floor;                    //楼层
    private String roomName;                 //房间名
    private String thisRentalBuildingArea;   //本次出租面积（建筑）
    private String totalBuildingArea;        //总面积（建筑）
    private String selfUseBuildingArea;      //自用面积（建筑）
    private String idleBuildingArea;         //闲置面积（建筑）
    private String rentalBuildingArea;       //出租面积（建筑）
    private String unusableBuildingArea;     //不可使用面积（建筑）
    private String thisRentalUseArea;        //本次出租面积（使用）
    private String totalUseArea;             //总面积（使用）
    private String selfUseArea;              //自用面积（使用）
    private String idleArea;                 //闲置面积（使用)
    private String rentalUseArea;            //出租面积（使用）
    private String unusableUseArea;          //不可使用面积（使用）
    private String statisticalMonth;         //账期
    private List<WzHouseContractOutEntity> children;
}
