package com.example.entity.house;

import lombok.Data;

@Data
public class HouseSitePo {
    /**
     * 数据年月
     */
    private Integer yearMonth;

    /**
     * 局址ID
     */
    private String siteId;

    /**
     * 资产所属单位(一级)
     */
    private String firstUnit;

    /**
     * 资产所属单位(二级)
     */
    private String secondUnit;

    /**
     * 资产所属单位(三级)
     */
    private String thirdUnit;

    /**
     * 局址编号
     */
    private String siteNum;

    /**
     * 局址别名
     */
    private String siteName;

    /**
     * 标准地址
     */
    private String address;

    /**
     * 城市等级
     */
    private String cityLevel;

    /**
     * 城市区域
     */
    private String cityRegion;

    /**
     * 地段
     */
    private String areaSector;

    /**
     * 是否有土地资产
     */
    private String hasLand;

    /**
     * 二级组织机构编码
     */
    private String areaNo;

    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 三级组织机构编码
     */
    private String cityNo;

    /**
     * 三级组织机构名称
     */
    private String cityName;

    /**
     * 地市id
     */
    private String cityId;

    /**
     * 地市
     */
    private String city;

    /**
     * 区县id
     */
    private String districtId;

    /**
     * 区县
     */
    private String district;
}
