package com.example.enums;

public enum ListBuildingIdleRepairOrderEnum {
    /**
     * 入账日期
     */
    statisticalMonth("year_month"),
    /**
     * 二级单位
     */
    city("area_name"),
    /**
     * 三级单位
     */
    county("city_name"),
    /**
     * 建筑别名
     */
    buildingAlias("building_name"),
    /**
     * 维修类型
     */
    repairType("repair_type"),
    /**
     * 维修内容
     */
    repairContent("repair_content"),
    /**
     * erp入账金额元
     */
    erpCreditedAmount("amount"),
    /**
     * 标准地址
     */
    standardAddress("address"),
    /**
     * 使用状态
     */
    useState("usage_status"),
    /**
     * 建筑面积
     */
    buildingArea("building_area"),
    /**
     * 建筑面积自用
     */
    buildingAreaUseArea("building_area_self_use"),
    /**
     * 建筑面积出租
     */
    buildingAreaRentArea("building_area_rent"),
    /**
     * 建筑面积闲置
     */
    buildingAreaIdelArea("building_area_idle"),
    /**
     * 建筑面积不可使用
     */
    buildingAreaUnavailable("building_area_unavailable"),
    ;

    private final String columnName;

    ListBuildingIdleRepairOrderEnum(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnName() {
        return columnName;
    }
}
